'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 专利维权
class SafeService extends CrudService {
  constructor(ctx) {
    super(ctx, 'safe');
    this.model = this.ctx.model.Safe;
  }
}

module.exports = SafeService;
